Tiquo
Integrations OverviewAirtableAsanaSlackGoogle AnalyticsMetabaseMixpanelPendoSegmentTableau (PAT)ActiveCampaignBrevoEmarsys Core API (WSSE)EventbriteFacebookGoogle AdsHighLevelInstagramKlaviyoMailchimpMailgunMicrosoft AdsSendGridTwitter (v2)HubSpotNotionAcuity SchedulingAirtable (Personal Access Token)BasecampCal.com (v2)CalendlyClickUpCodaConfluence Data CenterExpensifyGoogle CalendarGoogle SheetHarvestLinearMicrosoft Power BIMicrosoft TeamsMindbodyMondayOpenAIPerplexityPingboardPivotal TrackerProductboardQuickbaseServiceM8ServiceNowTeamworkTickTickTimelyTodoistTrafftTrelloWrikefal.aixAIZendeskIntercomAircall (OAuth)DixaFreshDeskFreshserviceFrontPlainRingCentralZoho DeskBrazeDialpadGoogleMicrosoftOutlookPodiumSednaSharePoint OnlineTwilioWhatsApp BusinessZoho MailBambooHRADPDeelEmployment HeroGustoHibob Service UserNamelyOracle Fusion Cloud (HCM)PaychexPayfitPaylocityPersonioRipplingSAP SuccessFactorsSage HRTSheetsUKG ProUKG ReadyWorkdayZoho PeopleQuickBooksBuildiumExact OnlineFreshBooksIntuitNetSuitePennylaneSageSage IntacctTwinfieldUnanetWave AccountingXeroZoho BooksSalesforceAffinityAttioCopperFreshsalesGainsight CCInsightlyKustomerMedalliaPipedriveTwenty CRMZoomInfoApaleoMewsMicrosoft Business CentralOdooSAP ConcurZuoraAcceloCoupa CompassZoho InvoiceAnrokAvalaraDocuSignDropbox SignPandadocSignNowLinkedInSplitwiseTikTok AdsJotformQualtricsRefinerTypeformShopifyCin7 CoreGoogle MapsRingoverListrakRydooTalentLMSApple Business ManagerCrunchbaseRocketReachOcean.ioFreepikEnergy Performance Certificates (Gov.UK)JustworksGristSAP S/4HANA Cloud3CX8x8Adobe CommerceBirdCloudbedsConstant ContactBufferCustomer.ioCrispFreeAgentGreenhouseMeta Marketing APIMollienocrm.ioOomnitzaDigitsPylonSage 200ShopwareAnvilShippoEasyPostAltrataMicrosoft PeopleMicrosoft IntuneCloudTalkGoogle FormsMaximizerMicrosoft PlannerSalesmsgSellercloudTallyTimifyUpsalesCleverReachHeymarketMailjetPleoProvenExpertTelegramToggl TrackTenzoASSA ABLOY Vingcard VisionlineASSA ABLOY Vingcard VostioASSA ABLOY TESA HotelASSA ABLOY SMARTairSalto KSSalto Space OnlineDormakabaOmnitecHotekTT LockWebLockISEOKleverKeyAperioISONASHIDSouthcoThird MillenniumSTidAxis CommunicationsBooking.comExpediaHotels.comAirbnbGoogle HotelsTripadvisorAgodaHotelbedsTravelgateXHyperguestRoibosReconlineTraviaOpenGDS.comMG BedbankDidatravelHotelREZHRSHotelnetworkGetaroomWinkBookeasyVRBOInntopiaHookusbookusHipcampSpot2niteCamping VisionMinistry of VillasTrip.comTravelokaTiketMakeMyTripHoteripKlookeDreamsSzallasEmerging Travel GroupCheck24Bed-and-Breakfast.itWorld2Meet (W2M)Ctoutvert / SecureholidayDespegarPriceTravelRoombeastMitchell CorpHRS AustraliaResonlineHostelworldHostelhopTablet MichelinMr & Mrs SmithHopperHotel TonightPitchupMoveriiLocalOTAAlaricBooknpayCultbookingGuestTractionLevartWeSpeakMake.comZapierPricelabsPricepointRategenieElastic HotelRoom Price GenieTurbosuiteUber EatsDeliverooDoorDashBolt FoodGlovo
API and AuthenticationCustomer API

Companies

Retrieve company memberships and colleagues for the authenticated customer

Companies

The Customer API company endpoints return companies connected to the authenticated customer.

These endpoints are designed for customer-facing portals and account areas where a customer needs to see their company memberships or, if authorised, colleagues in the same company.

Endpoints

MethodEndpointDescription
GET/companiesList companies the authenticated customer belongs to
GET/companies/colleaguesList colleagues in a company, for company admins

Authentication

Requires a valid JWT access token.

Authorization: Bearer eyJhbGciOiJSUzI1NiJ9...

List Companies

GET /companies

Returns an empty list when the authenticated customer does not belong to any companies.

Example Request

curl "https://edge.tiquo.app/api/client/v1/companies" \
  -H "Authorization: Bearer eyJhbGciOiJSUzI1NiJ9..."

Response

{
  "success": true,
  "data": {
    "companies": [
      {
        "id": "company_123",
        "name": "Acme Corp",
        "displayName": "Acme",
        "companyNumber": "COMP-000001",
        "status": "active",
        "membership": {
          "relationship": "employee",
          "title": "Operations Manager",
          "department": "Operations",
          "isPrimaryContact": false,
          "isCompanyAdmin": true
        }
      }
    ]
  }
}

Each company includes the authenticated customer's membership details for that company.

Company records can also include description, contact details, websites, logo, address fields, industry, companySize, and type. The membership object can also include a startDate timestamp. Archived companies are not returned.

List Company Colleagues

GET /companies/colleagues

This endpoint is restricted to customers who are company admins for the requested company.

Query Parameters

ParameterTypeRequiredDescription
companyIdstringYesCompany document ID

Example Request

curl "https://edge.tiquo.app/api/client/v1/companies/colleagues?companyId=company_123" \
  -H "Authorization: Bearer eyJhbGciOiJSUzI1NiJ9..."

Response

{
  "success": true,
  "data": {
    "company": {
      "id": "company_123",
      "name": "Acme Corp"
    },
    "colleagues": [
      {
        "id": "cust_456",
        "displayName": "John Smith",
        "email": "john@example.com",
        "relationship": "employee",
        "title": "Operations Manager",
        "department": "Operations",
        "isPrimaryContact": false,
        "isCompanyAdmin": true,
        "isSelf": true
      }
    ]
  }
}

The colleagues response contains basic contact-card information. It does not expose CRM analytics, financial history, or private notes.

Errors

StatusDescription
400Missing companyId for colleagues request
401Invalid or expired access token
403The authenticated customer is not a company admin for the requested company
404No customer profile is linked to the authenticated user
500Internal server error

DOM Package

const { companies } = await auth.getCompanies();
const company = companies.find((item) => item.membership.isCompanyAdmin);

if (company) {
  const { colleagues } = await auth.getCompanyColleagues(company.id);
}

Sur cette page